ROSEGARDEN(1)

NAME
rosegarden, rosegarden-sequencer - MIDI and audio sequencer and musical notation editor.

SYNOPSIS
rosegarden [Qt-options] [TDE-options] [options] [File] rosegardensequencer [Qt-options] [TDE-options] [playback_1 playback_2 capture_1 capture_2]

DESCRIPTION
This manual page documents briefly the rosegarden and rosegardensequencer commands. rosegarden is a MIDI and audio sequencer, notation editor, and general-purpose music composition and editing application for Unix and Linux. It is a TDE application, which means to build it you need the TDE libraries. However, once installed it can be run within the TDE environment or any other desktop or window manager environment. rosegardensequencer is part of the rosegarden application, the part which knows about and audio MIDI devices, and about real time. rosegardensequencer is executed automatically when rosegarden starts, so you will probably never need to execute it directly. You may want to specify command line options, though, to change the JACK ports used for audio capture and playback. In order to do that, you can invoque rosegardensequencer directly before running rosegarden, or you can specify the sequencer command line arguments using the rosegarden configuration dialog, and restarting the application. This program follows the usual GNU command line syntax, with long options starting with two dashes ('-'). A summary of options is included below.

OPTIONS
--author
     Show author information. --help
     Show help about options. --help-all
     Show all options. --help-tde
     Show TDE specific options. --help-qt
     Show Qt specific options. --license
     Show license information. -v,--version
     Show version information.

OPTIONS for rosegarden
--nosplash
     Don't show splash screen.

--nosequencer
     Don't use an external sequencer. --nofork
     Don't automatically run in the background. --existingsequencer
     Attach to a running sequencer process, if found. File
     File to load at startup. Typically a rosegarden (.rg) file, but it can also be a rosegarden2.1 file or a MIDI file.

OPTIONS
-g Usegraphicalmode>

QT OPTIONS
--bg,--backgroundcolor
     Sets the default background color and an application palette (light and dark shades are calculated). --btn,--buttoncolor
     Sets the default button color. --cmap
     Causes the application to install a private color map on an 8-bit display. --displaydisplayname
     Use the X-server display 'displayname'. --dograb
     Running under a debugger can cause an implicit --nograb, use --dograb to override. --fg,--foregroundcolor
     Sets the default foreground color. --fn,--fontfontname
     Defines the application font. --imXIMserver
     Set XIM server. --inputstyleinputstyle
     Sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot and root. --namename
     Sets the application name. --ncolscount
     Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification. --nograb
     Tells Qt to never grab the mouse or the keyboard. --noxim
     Disable XIM. --reverse
     Mirrors the whole layout of widgets. --sessionsessionId
     Restore the application for the given 'sessionId'. --sync
     Switches to synchronous mode for debugging. --titletitle
     Sets the application title (caption). --visualTrueColor
     Forces the application to use a TrueColor visual on an 8-bit display.

TDE OPTIONS
--captioncaption
     Use 'caption' as name in the titlebar. --configfilename
     Use alternative configuration file. --dcopserverserver
     Use the DCOP Server specified by 'server'. --geometrygeometry
     Sets the client geometry of the main widget. --iconicon
     Use 'icon' as the application icon. --miniiconicon
     Use 'icon' as the icon in the titlebar. --nocrashhandler
     Disable crash handler, to get core dumps. --stylestyle
     Sets the application GUI style. --waitforwm
     Waits for a WM_NET compatible windowmanager.

SEE ALSO
     jackd(1), rosegarden-lilypondview(1), rosegarden-project-package(1), rosegarden-audiofile-importer(1)

AUTHOR
This manual page was written by Enrique Robledo Arnuncio <era@debian.org> and later ammended by Mike O'Connor <stew@vireo.org> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front Cover Texts and no Back Cover Texts.